getUrl.v1
POST
/shopgate.checkout.getUrl.v1
Requests a checkout url and it’s expiration time from the connected shop. Depending on the shop, the expiration time can be very short or not present at all. It is possible that the returned expiration date is already in the past, which enforces the effect that is can not be cached.
Responses
Section titled “Responses”Returns the checkout url.
Media typeapplication/json
object
output
required
object
url
required
A unified resource link.
string
expires
An optional date-time-string in the format ISO 8601 (YYYY-MM-DDTH:i:s.fZ). The url does not expire if this field os not set. The returned timezone is always UTC (+00:00)
string
Example
{ "output": { "url": "http://example.com/", "expires": "2017-12-31T23:59:59.999Z" }}EUNKNOWN
Section titled “EUNKNOWN”An internal error occurred.
Media typeapplication/json
object
error
required
object
code
required
string
message
string
Example
{ "error": { "code": "EUNKNOWN", "message": "An internal error occurred." }}
